%define snapshot 20110228
%define srcname ModemManager

Summary:	Mobile broadband modem management service
Name:		modemmanager
Version:	0.5
%if %{snapshot}
Release:	%mkrel 0.%{snapshot}.2
%else
Release:	%mkrel 1
%endif
%if %snapshot
#
# Source from git://anongit.freedesktop.org/ModemManager/ModemManager
# tarball built with:
#    ./autogen.sh --prefix=/usr --sysconfdir=/etc --localstatedir=/var
#    make distcheck
#
Source:		%{srcname}-%{version}-%{snapshot}.tar.xz
%else
Source:		http://cgit.freedesktop.org/ModemManager/ModemManager/snapshot/%{srcname}-%{version}.tar.xz
%endif
License:	GPLv2+
Group:		System/Configuration/Networking
URL:		http://www.gnome.org/projects/NetworkManager/
BuildRequires:	glib2-devel
BuildRequires:	dbus-glib-devel >= 0.75
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	libgudev-devel >= 143
BuildRequires:	polkit-devel
BuildRequires:	xsltproc
BuildRequires:	ppp-devel
Requires:	usb_modeswitch

%description
The ModemManager service provides a consistent API to operate many different
modems, including mobile broadband (3G) devices.

%prep
%setup -q -n %{srcname}

%if %{snapshot}
./autogen.sh --prefix=/usr --sysconfdir=/etc --localstatedir=/var
%endif

%build
#autoreconf -fis
pppver=`rpm -q --qf "%{VERSION}" ppp`
pppddir=%{_libdir}/pppd/$pppver
%configure2_5x \
	--enable-more-warnings=yes \
	--with-udev-base-dir=/lib/udev \
	--with-tests=yes \
	--with-docs=yes \
	--disable-static \
	--with-pppd-plugin-dir="$pppddir"

make

%check
make check

%install
rm -rf %{buildroot}
%makeinstall_std
rm -f %{buildroot}%{_libdir}/%{srcname}/*.la
rm -f %{buildroot}%{_includedir}/mm/*.h

# only used by test suite
rm -f %{buildroot}%{_libdir}/%{name}/*.la
rm -f %{buildroot}%{_libdir}/pppd/2.*/*.la
rm -f %{buildroot}%{_libdir}/pppd/2.*/*.so

%clean
rm -rf %{buildroot}

%files
%defattr(0644, root, root, 0755)
%doc README AUTHORS
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.ModemManager.conf
%{_datadir}/dbus-1/system-services/org.freedesktop.ModemManager.service
%{_datadir}/icons/hicolor/22x22/apps/modem-manager.png
%{_datadir}/polkit-1/actions/org.freedesktop.modem-manager.policy
%{_datadir}/dbus-1/interfaces/*.xml
%attr(0755,root,root) %{_sbindir}/modem-manager
%dir %{_libdir}/%{srcname}
%attr(0755,root,root) %{_libdir}/%{srcname}/*.so*
/lib/udev/rules.d/*




%changelog
* Tue Mar 01 2011 eandry <eandry> 0.5-0.20110228.2.mga1
+ Revision: 61978
- fix Requires

* Mon Feb 28 2011 eandry <eandry> 0.5-0.20110228.1.mga1
+ Revision: 61873
- Test disabling parallel make
- Test disabling make check
- New git snapshot 20110228
  BR polkit-devel
- use provided .autogen.sh, autoreconf fails
- update files list
- Requires usb-modeswitch
- BR ppp-devel
- clean spec
- imported package modemmanager


* Sun Jul 18 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.4-1mdv2011.0
+ Revision: 554818
- fix unpackaged files
- buildrequires intltool
- buildrequires gettext-devel
- new version

* Wed Jan 20 2010 Frederik Himpe <fhimpe@mandriva.org> 0.3-1mdv2010.1
+ Revision: 494267
- Fix BuildRequires
- Update to new version 0.3

* Wed Nov 11 2009 Frederik Himpe <fhimpe@mandriva.org> 0.2-0.20090826.1mdv2010.1
+ Revision: 464873
- Import package based on Fedora's package
- create modemmanager

